This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 653159 - XendNetwork fails - Not recreating missing unmanaged network eth1
XendNetwork fails - Not recreating missing unmanaged network eth1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-14 14:03 EST by Jerry Amundson
Modified: 2011-02-07 15:03 EST (History)
6 users (show)

See Also:
Fixed In Version: xen-4.0.1-7.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-07 15:03:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jerry Amundson 2010-11-14 14:03:23 EST
Description of problem:
Config setting of "(network-script 'network-bridge netdev=eth1')" drops the network and I need to "nmcli con up uuid ...." to fix it.

Version-Release number of selected component (if applicable):
2.6.32.25-172.xendom0.fc12.i686.PAE
xen-4.0.1-6.fc14.i686

How reproducible:
always

Steps to Reproduce:
1. service xend start
2.
3.
  
Actual results:
no eth1

Expected results:
eth1 plus bridge.

Additional info:
from xend.log:
[2010-11-14 12:08:51 1820] INFO (XendNetwork:114) Not recreating missing unmanaged network eth1
[2010-11-14 12:08:51 1820] INFO (XendNetwork:114) Not recreating missing unmanaged network virbr0

from messages:
Nov 14 12:08:39 elm NetworkManager[1204]: <info> monitoring kernel firmware directory '/lib/firmware'.
Nov 14 12:08:39 elm NetworkManager[1204]:    ifcfg-rh: Acquired D-Bus service com.redhat.ifcfgrh1
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Loaded plugin ifcfg-rh: (c) 2007 - 2008 Red Hat, Inc.  To report bugs please use the NetworkManager mailing list.
Nov 14 12:08:39 elm NetworkManager[1204]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ... 
Nov 14 12:08:39 elm NetworkManager[1204]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-eth0 ... 
Nov 14 12:08:39 elm NetworkManager[1204]:    ifcfg-rh:     read connection 'System eth0'
Nov 14 12:08:39 elm NetworkManager[1204]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-eth1 ... 
Nov 14 12:08:39 elm NetworkManager[1204]:    ifcfg-rh:     read connection 'System eth1'
Nov 14 12:08:39 elm NetworkManager[1204]: <info> WiFi enabled by radio killswitch; enabled by state file
Nov 14 12:08:39 elm NetworkManager[1204]: <info> WWAN enabled by radio killswitch; enabled by state file
Nov 14 12:08:39 elm NetworkManager[1204]: <info> WiMAX enabled by radio killswitch; enabled by state file
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Networking is enabled by state file
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth0): carrier is OFF
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth0): new Ethernet device (driver: 'e1000' ifindex: 3)
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth0): exported as /org/freedesktop/NetworkManager/Devices/0
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth0): now managed
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth0): device state change: 1 -> 2 (reason 2)
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth0): bringing up device.
Nov 14 12:08:39 elm kernel: e1000: eth0 NIC Link is Up 100 Mbps Full Duplex, Flow Control: RX/TX
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth0): preparing device.
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth0): deactivating device (reason: 2).
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth1): carrier is OFF
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth1): new Ethernet device (driver: '8139too' ifindex: 2)
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth1): exported as /org/freedesktop/NetworkManager/Devices/1
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth1): now managed
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth1): device state change: 1 -> 2 (reason 2)
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth1): bringing up device.
Nov 14 12:08:39 elm kernel: eth1: link up, 100Mbps, full-duplex, lpa 0x45E1
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth1): preparing device.
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth1): deactivating device (reason: 2).
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth0): carrier now ON (device state 2)
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth0): device state change: 2 -> 3 (reason 40)
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth1): carrier now ON (device state 2)
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth1): device state change: 2 -> 3 (reason 40)
Nov 14 12:08:39 elm NetworkManager[1204]: <info> modem-manager is now available
Nov 14 12:08:39 elm NetworkManager[1204]: <warn> bluez error getting default adapter: Launch helper exited with unknown return code 1
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Trying to start the supplicant...
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Activation (eth0) starting connection 'System eth0'
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth0): device state change: 3 -> 4 (reason 0)
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) scheduled...
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Activation (eth1) starting connection 'System eth1'
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth1): device state change: 3 -> 4 (reason 0)
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Activation (eth1) Stage 1 of 5 (Device Prepare) scheduled...
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) started...
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) scheduled...
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Activation (eth0) Stage 1 of 5 (Device Prepare) complete.
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Activation (eth1) Stage 1 of 5 (Device Prepare) started...
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Activation (eth1) Stage 2 of 5 (Device Configure) scheduled...
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Activation (eth1) Stage 1 of 5 (Device Prepare) complete.
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) starting...
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth0): device state change: 4 -> 5 (reason 0)
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) successful.
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) scheduled.
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Activation (eth0) Stage 2 of 5 (Device Configure) complete.
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Activation (eth1) Stage 2 of 5 (Device Configure) starting...
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth1): device state change: 4 -> 5 (reason 0)
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Activation (eth1) Stage 2 of 5 (Device Configure) successful.
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Activation (eth1) Stage 3 of 5 (IP Configure Start) scheduled.
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Activation (eth1) Stage 2 of 5 (Device Configure) complete.
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) started...
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth0): device state change: 5 -> 7 (reason 0)
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Activation (eth0) Stage 4 of 5 (IP4 Configure Get) scheduled...
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Activation (eth0) Stage 3 of 5 (IP Configure Start) complete.
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Activation (eth1) Stage 3 of 5 (IP Configure Start) started...
Nov 14 12:08:39 elm NetworkManager[1204]: <info> (eth1): device state change: 5 -> 7 (reason 0)
Nov 14 12:08:39 elm NetworkManager[1204]: <info> Activation (eth1) Beginning DHCPv4 transaction (timeout in 45 seconds)
Nov 14 12:08:40 elm NetworkManager[1204]: <info> dhclient started with pid 1227
Nov 14 12:08:40 elm NetworkManager[1204]: <info> Activation (eth1) Stage 3 of 5 (IP Configure Start) complete.
Nov 14 12:08:40 elm NetworkManager[1204]: <info> Activation (eth0) Stage 4 of 5 (IP4 Configure Get) started...
Nov 14 12:08:40 elm NetworkManager[1204]: <info> Activation (eth0) Stage 5 of 5 (IP Configure Commit) scheduled...
Nov 14 12:08:40 elm NetworkManager[1204]: <info> Activation (eth0) Stage 4 of 5 (IP4 Configure Get) complete.
Nov 14 12:08:40 elm NetworkManager[1204]: <info> Activation (eth0) Stage 5 of 5 (IP Configure Commit) started...
Nov 14 12:08:40 elm avahi-daemon[1229]: Found user 'avahi' (UID 496) and group 'avahi' (GID 491).
Nov 14 12:08:40 elm avahi-daemon[1229]: Successfully dropped root privileges.
Nov 14 12:08:40 elm avahi-daemon[1229]: avahi-daemon 0.6.27 starting up.
Nov 14 12:08:40 elm avahi-daemon[1229]: WARNING: No NSS support for mDNS detected, consider installing nss-mdns!
Nov 14 12:08:40 elm avahi-daemon[1229]: Successfully called chroot().
Nov 14 12:08:40 elm avahi-daemon[1229]: Successfully dropped remaining capabilities.
Nov 14 12:08:40 elm avahi-daemon[1229]: Loading service file /services/ssh.service.
Nov 14 12:08:40 elm avahi-daemon[1229]: Joining mDNS multicast group on interface eth0.IPv4 with address 192.168.25.11.
Nov 14 12:08:40 elm avahi-daemon[1229]: New relevant interface eth0.IPv4 for mDNS.
Nov 14 12:08:40 elm avahi-daemon[1229]: Network interface enumeration completed.
Nov 14 12:08:40 elm avahi-daemon[1229]: Registering new address record for 192.168.25.11 on eth0.IPv4.
Nov 14 12:08:40 elm avahi-daemon[1229]: Registering HINFO record with values 'I686'/'LINUX'.
Nov 14 12:08:40 elm dhclient[1227]: Internet Systems Consortium DHCP Client 4.2.0
Nov 14 12:08:40 elm dhclient[1227]: Copyright 2004-2010 Internet Systems Consortium.
Nov 14 12:08:40 elm dhclient[1227]: All rights reserved.
Nov 14 12:08:40 elm dhclient[1227]: For info, please visit https://www.isc.org/software/dhcp/
Nov 14 12:08:40 elm dhclient[1227]: 
Nov 14 12:08:40 elm dhclient[1227]: Listening on LPF/eth1/00:50:ba:af:d5:ea
Nov 14 12:08:40 elm dhclient[1227]: Sending on   LPF/eth1/00:50:ba:af:d5:ea
Nov 14 12:08:40 elm dhclient[1227]: Sending on   Socket/fallback
Nov 14 12:08:40 elm rpc.statd[1257]: Version 1.2.3 starting
Nov 14 12:08:40 elm sm-notify[1258]: Version 1.2.3 starting
Nov 14 12:08:40 elm dhclient[1227]: DHCPREQUEST on eth1 to 255.255.255.255 port 67
Nov 14 12:08:40 elm dhclient[1227]: DHCPACK from 10.1.110.254
Nov 14 12:08:40 elm dhclient[1227]: bound to 10.1.110.100 -- renewal in 20830 seconds.
Nov 14 12:08:40 elm avahi-daemon[1229]: Server startup complete. Host name is elm.local. Local service cookie is 3181713220.
Nov 14 12:08:41 elm NetworkManager[1204]: <info> (eth0): device state change: 7 -> 8 (reason 0)
Nov 14 12:08:41 elm NetworkManager[1204]: <info> Activation (eth0) successful, device activated.
Nov 14 12:08:41 elm NetworkManager[1204]: <info> Activation (eth0) Stage 5 of 5 (IP Configure Commit) complete.
Nov 14 12:08:41 elm NetworkManager[1204]: <info> (eth1): DHCPv4 state changed nbi -> preinit
Nov 14 12:08:41 elm NetworkManager[1204]: <info> (eth1): DHCPv4 state changed preinit -> reboot
Nov 14 12:08:41 elm NetworkManager[1204]: <info> Activation (eth1) Stage 4 of 5 (IP4 Configure Get) scheduled...
Nov 14 12:08:41 elm NetworkManager[1204]: <info> Activation (eth1) Stage 4 of 5 (IP4 Configure Get) started...
Nov 14 12:08:41 elm NetworkManager[1204]: <info>   address 10.1.110.100
Nov 14 12:08:41 elm NetworkManager[1204]: <info>   prefix 24 (255.255.255.0)
Nov 14 12:08:41 elm NetworkManager[1204]: <info>   gateway 10.1.110.254
Nov 14 12:08:41 elm NetworkManager[1204]: <info>   nameserver '10.1.110.254'
Nov 14 12:08:41 elm NetworkManager[1204]: <info>   domain name 'amundson.ws'
Nov 14 12:08:41 elm NetworkManager[1204]: <info> Activation (eth1) Stage 5 of 5 (IP Configure Commit) scheduled...
Nov 14 12:08:41 elm NetworkManager[1204]: <info> Activation (eth1) Stage 4 of 5 (IP4 Configure Get) complete.
Nov 14 12:08:41 elm NetworkManager[1204]: <info> Activation (eth1) Stage 5 of 5 (IP Configure Commit) started...
Nov 14 12:08:41 elm avahi-daemon[1229]: Joining mDNS multicast group on interface eth1.IPv4 with address 10.1.110.100.
Nov 14 12:08:41 elm avahi-daemon[1229]: New relevant interface eth1.IPv4 for mDNS.
Nov 14 12:08:41 elm avahi-daemon[1229]: Registering new address record for 10.1.110.100 on eth1.IPv4.
Nov 14 12:08:41 elm kernel: RPC: Registered udp transport module.
Nov 14 12:08:41 elm kernel: RPC: Registered tcp transport module.
Nov 14 12:08:41 elm kernel: RPC: Registered tcp NFSv4.1 backchannel transport module.
Nov 14 12:08:41 elm udev-configure-printer: invalid or missing IEEE 1284 Device ID
Nov 14 12:08:42 elm avahi-daemon[1229]: Service "elm" (/services/ssh.service) successfully established.
Nov 14 12:08:42 elm NetworkManager[1204]: <info> (eth1): device state change: 7 -> 8 (reason 0)
Nov 14 12:08:42 elm NetworkManager[1204]: <info> Policy set 'System eth1' (eth1) as default for IPv4 routing and DNS.
Nov 14 12:08:42 elm NetworkManager[1204]: <info> Updating /etc/hosts with new system hostname
Nov 14 12:08:42 elm NetworkManager[1204]: <info> Activation (eth1) successful, device activated.
Nov 14 12:08:42 elm NetworkManager[1204]: <info> Activation (eth1) Stage 5 of 5 (IP Configure Commit) complete.
Nov 14 12:08:42 elm acpid: starting up with proc fs
Nov 14 12:08:42 elm acpid: skipping incomplete file /etc/acpi/events/videoconf
Nov 14 12:08:42 elm acpid: skipping conf file /etc/acpi/events/..
Nov 14 12:08:42 elm acpid: skipping conf file /etc/acpi/events/.
Nov 14 12:08:42 elm acpid: 1 rule loaded
Nov 14 12:08:42 elm acpid: waiting for events: event logging is off
Nov 14 12:08:43 elm nm-dispatcher.action: nm_dispatcher_action: Invalid connection: '(null)' / 'connection setting not found' invalid: 1
Nov 14 12:08:45 elm ntpd[1589]: ntpd 4.2.6p2@1.2194-o Fri Oct  1 12:26:49 UTC 2010 (1)
Nov 14 12:08:45 elm ntpd[1590]: proto: precision = 1.105 usec
Nov 14 12:08:45 elm ntpd[1590]: 0.0.0.0 c01d 0d kern kernel time sync enabled
Nov 14 12:08:45 elm ntpd[1590]: Listen and drop on 0 v4wildcard 0.0.0.0 UDP 123
Nov 14 12:08:45 elm ntpd[1590]: Listen normally on 1 lo 127.0.0.1 UDP 123
Nov 14 12:08:45 elm ntpd[1590]: Listen normally on 2 eth1 10.1.110.100 UDP 123
Nov 14 12:08:45 elm ntpd[1590]: Listen normally on 3 eth0 192.168.25.11 UDP 123
Nov 14 12:08:45 elm ntpd[1590]: Listening on routing socket on fd #20 for interface updates
Nov 14 12:08:45 elm ntpd[1590]: restrict: error in address '::' on line 10. Ignoring...
Nov 14 12:08:45 elm ntpd[1590]: restrict: error in address '::1' on line 16. Ignoring...
Nov 14 12:08:46 elm ntpd[1590]: 0.0.0.0 c016 06 restart
Nov 14 12:08:46 elm ntpd[1590]: 0.0.0.0 c012 02 freq_set kernel 8.386 PPM
Nov 14 12:08:46 elm abrtd: Registered Reporter plugin 'KerneloopsReporter'
Nov 14 12:08:46 elm abrtd: Registered Action plugin 'KerneloopsScanner'
Nov 14 12:08:46 elm abrtd: Registered Reporter plugin 'Bugzilla'
Nov 14 12:08:46 elm abrtd: Registered Analyzer plugin 'Python'
Nov 14 12:08:46 elm abrtd: Registered Analyzer plugin 'CCpp'
Nov 14 12:08:46 elm abrtd: Registered Analyzer plugin 'Kerneloops'
Nov 14 12:08:46 elm abrtd: Registered Reporter plugin 'Logger'
Nov 14 12:08:46 elm abrtd: Checking for unsaved crashes (dirs to check:3)
Nov 14 12:08:46 elm abrtd: Registered Database plugin 'SQLite3'
Nov 14 12:08:46 elm abrtd: Done checking for unsaved crashes
Nov 14 12:08:46 elm abrtd: Init complete, entering main loop
Nov 14 12:08:47 elm xenstored: Checking store ...
Nov 14 12:08:48 elm xenstored: Checking store complete.
Nov 14 12:08:48 elm kernel: XENBUS: Unable to read cpu state
Nov 14 12:08:49 elm kernel: Bridge firewalling registered
Nov 14 12:08:49 elm NetworkManager[1204]: <warn> /sys/devices/virtual/net/tmpbridge: couldn't determine device driver; ignoring...
Nov 14 12:08:49 elm NetworkManager[1204]: <info> (eth1): device state change: 8 -> 3 (reason 39)
Nov 14 12:08:49 elm NetworkManager[1204]: <info> (eth1): deactivating device (reason: 39).
Nov 14 12:08:50 elm NetworkManager[1204]: <info> (eth1): canceled DHCP transaction, DHCP client pid 1227
Nov 14 12:08:50 elm avahi-daemon[1229]: Withdrawing address record for 10.1.110.100 on eth1.
Nov 14 12:08:50 elm avahi-daemon[1229]: Leaving mDNS multicast group on interface eth1.IPv4 with address 10.1.110.100.
Nov 14 12:08:50 elm avahi-daemon[1229]: Interface eth1.IPv4 no longer relevant for mDNS.
Nov 14 12:08:50 elm NetworkManager[1204]: <info> Updating /etc/hosts with new system hostname
Nov 14 12:08:50 elm nm-dispatcher.action: nm_dispatcher_action: Invalid connection: '(null)' / 'connection setting not found' invalid: 1
Nov 14 12:08:51 elm ntpd[1590]: Deleting interface #2 eth1, 10.1.110.100#123, interface stats: received=6, sent=6, dropped=4, active_time=6 secs
Comment 1 Jerry Amundson 2010-11-14 15:06:32 EST
With -x on network-bridge, I see --
+ ifdown eth1
Device state: 3 (disconnected)
+ ip link set eth1 name peth1
RTNETLINK answers: Device or resource busy

Seems to be a bit of a chicken/egg problem.... "ifdown" leaves the device UP as far as "ip" knows. So, "ip link set dev eth1 down" is needed before the new name is set.
Comment 2 Jerry Amundson 2010-11-15 01:37:53 EST
Now I see some documentation in /usr/share/doc/xen-doc-4.0.1/misc/network_setup.txt :
As of time of writing (Fedora 11) NetworkManager does not support bridging,

So the above line should state the current (Distro Release) relative to NM on this distro.
Comment 3 Fedora Update System 2011-01-29 14:41:18 EST
xen-4.0.1-7.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/xen-4.0.1-7.fc14
Comment 4 Michael Young 2011-01-29 15:02:37 EST
I have updated the documentation to refer to Fedora 14.
Comment 5 Fedora Update System 2011-01-30 14:50:33 EST
xen-4.0.1-7.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xen'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/xen-4.0.1-7.fc14
Comment 6 Fedora Update System 2011-02-07 15:02:58 EST
xen-4.0.1-7.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.